package model

import "github.com/google/gopacket"

const (
	PortTypeTCP = "TCP"
	PortTypeUDP = "UDP"

	CryptoTypeTLS = "TLS"
)

type Port struct {
	Host *Host `json:"host,omitempty"`

	ID         int    `json:"id,omitempty"`
	PortType   string `json:"portType,omitempty"`
	PortNumber int    `json:"portNumber,omitempty"`

	UDPLayer gopacket.Layer `json:"-"`
}
