package server

import (
	crr "git.loafle.net/commons_go/rpc/registry"
	"git.loafle.net/commons_go/rpc/server"
)

func newRPCServletHandler(rpcInvoker crr.RPCInvoker) server.ServletHandler {
	sh := &RPCServletHandlers{}
	sh.RPCInvoker = rpcInvoker

	return sh
}

type RPCServletHandlers struct {
	server.ServletHandlers
}

func (sh *RPCServletHandlers) Validate() {
	sh.ServletHandlers.Validate()

}
